#! /bin/bash
clear
cd /opt/Loc-OS-LPKG/
HERE="$(dirname "$(readlink -f "${0}")")"
PATH="${HERE}"/usr/bin/:"${HERE}"/usr/:"${HERE}"/lib/:"${PATH}"
LD_LIBRARY_PATH="${HERE}"/usr/lib64/:"${LD_LIBRARY_PATH}"

## export PERLLIB="${HERE}"/usr/share/perl5/:"${HERE}"/usr/lib/perl5/:"${PERLLIB}"

UpdatesLpkg="YES"
YAD="Yadupdatelist"

Updates_LPKG()
{
echo "Updates_LPKG"
sleep 1
cd /tmp/
wget -O ListGitLabLocOS.LpkgRepo https://gitlab.com/loc-os_linux/lpkg-list32/-/raw/main/ListGitLabLocOS.LpkgRepo

rm -f --force /opt/Loc-OS-LPKG/Repos/ListGitLabLocOS.LpkgRepo
cp -f --force ListGitLabLocOS.LpkgRepo /opt/Loc-OS-LPKG/Repos/ListGitLabLocOS.LpkgRepo
sleep 1
/opt/Loc-OS-LPKG/createlistrepo
rm -f --force /tmp/ListGitLabLocOS.LpkgRepo
sleep 1
killall /opt/Loc-OS-LPKG/usr/bin/$YAD
cd /opt/Loc-OS-LPKG/
}
FileName="/opt/Loc-OS-LPKG/usr/.icon/UpDatesLIstLpkg.gif"
Updates_LPKG | $YAD \
title="Istaller" --picture --size=orig \
--filename=$FileName \
--auto-close --auto-kill --no-buttons --undecorated --center --skip-taskbar --width=260 --height=260



if [ "$UpdatesLpkg" = "YES" ]; then
#FileName="/opt/Loc-OS-LPKG/usr/.icon/UpDatesLIstLpkg.gif"
TEXT=""
Width="480" 
Height="320"
Info_Updates_LPKG()
{
echo "Info_Updates_LPKG"
sleep 2
killall /opt/Loc-OS-LPKG/usr/bin/$YAD
}
fi

 
if [ "$UpdatesLpkg" = "NO" ]; then
FileName="/opt/Loc-OS-LPKG/usr/.icon/Dialog-apply48.png"
TEXT="$LangNoUpdates"
Width="620" 
Height="20"
Info_Updates_LPKG()
{
echo "Info_Updates_LPKG"
sleep 2
killall /opt/Loc-OS-LPKG/usr/bin/$YAD
}
fi

Language=$(echo $LANG |sed 's/[-,/,",-,_,:,¡.,[,{,},]/ /g' |awk '{ print $1}')
Language=$(echo "$Language" | tr '[:upper:]' '[:lower:]')
echo $Language

NamePackage=$(cat /tmp/.LPKG/UpdatesLpkg.info |grep "NameLpkg<->" |awk '{ print $2}')
LangUpdatesListLpkg1=$(head -21 /opt/Loc-OS-LPKG/.lang/$Language | tail -1)
LangUpdatesListLpkg2=$(head -22 /opt/Loc-OS-LPKG/.lang/$Language | tail -1)
LangBotExit=$(head -5 $PosDir/.lang/$Language | tail -1)

Info_Updates_LPKG | $YAD form \
--image=/opt/Loc-OS-LPKG/usr/.icon/Dialog-apply48.png  \
--text='<span font="18">'" $LangUpdatesListLpkg2"'</span>' \
--button="$LangBotExit!/opt/Loc-OS-LPKG/usr/.icon/exit32.png!":1  \
--undecorated --center --skip-taskbar --borders="15" --height=$Height


exit -0

