#! /bin/bash 

# AddAndRemoveAppsPortable
cd /opt/Loc-OS-LPKG/
HERE="$(dirname "$(readlink -f "${0}")")"
PATH="${HERE}"/usr/bin/:"${HERE}"/usr/:"${HERE}"/lib/:"${PATH}"
LD_LIBRARY_PATH="${HERE}"/usr/lib64/:"${LD_LIBRARY_PATH}"


Language=$(echo $LANG |sed 's/[-,/,",-,_,:,¡.,[,{,},]/ /g' |awk '{ print $1}')
Language=$(echo "$Language" | tr '[:upper:]' '[:lower:]')
echo $Language

LangStartInstallGui=$(head -32 /opt/Loc-OS-LPKG/.lang/$Language | tail -1)
LangInstallGui=$(head -33 /opt/Loc-OS-LPKG/.lang/$Language | tail -1)
LangInstallEndGui=$(head -34 /opt/Loc-OS-LPKG/.lang/$Language | tail -1)
# 
clear
 
 ##################################### LPKG
cd /tmp/.InstallLpkg/
rm -Rf --force /tmp/.InstallLpkg/TEMP
mkdir -p /tmp/.InstallLpkg/TEMP
SF_PackageLpkg=$(cat /tmp/.InstallLpkg/SF_PackageLpkg.info)
SF="$SF_PackageLpkg"

DF="Install"
DONE="NOT"
Done="100"
ST=""
 ST="sleep 0.1" #
SizeAppOrig=$(du -h $SF | awk '{ print $1}')
DoneSize=$(echo $SizeAppOrig |sed 's/[ABCDEFGHIJKLMNOPQRSTUVWXYZ]//g' |sed 's/[abcdefghijklmnopqrstuvwxyz]//g')
SFSize=$(du -sb $SF | awk '{ print $1}')
NameLPKG=$(echo $SF |sed 's/[/]/ /g' | awk '{ print $NF}')
echo "#$LangStartInstallGui: \n$NameLPKG"
sleep 1
/opt/Loc-OS-LPKG/usr/bin/7zz x "$SF" -y -O/ & PID=$!
$ST
#FD=/proc/$PID/fdinfo/3    
while kill -0 $PID 2> /dev/null; do
DFSize=""
DFSize=$(cat /proc/$PID/fdinfo/3 | grep "^pos:" | awk '{ print $2}')
if [ "$DFSize" = "" ]; then
DFSize="512"
$ST
fi
Percentage=$(((100*$DFSize/$SFSize)))
SizeAppDest=$(echo $DFSize |numfmt --to=iec-i |sed 's/[ABCDEFGHIJKLMNOPQRSTUVWXYZ]//g' |sed 's/[abcdefghijklmnopqrstuvwxyz]//g')
$ST
echo "#$LangInstallGui \n$SizeAppDest of $SizeAppOrig \n$Percentage%"
done
$ST
echo "#$LangInstallEndGui\n$NameLPKG: \n$SizeAppOrig \n$Done% done"
sleep 0.005
 
##################################### LPKG

exit -0
